Skip to main content
GET
/
api2
/
v1
/
projectTemplates
/
{projectTemplateUid}
/
customFields
/
{fieldInstanceUid}
Get custom field of project template
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/projectTemplates/{projectTemplateUid}/customFields/{fieldInstanceUid} \
  --header 'Authorization: <api-key>'
{
  "uid": "<string>",
  "customField": {
    "uid": "<string>",
    "name": "<string>",
    "type": "MULTI_SELECT",
    "allowedEntities": [
      "PROJECT"
    ],
    "options": {
      "truncatedOptions": [
        {
          "uid": "<string>",
          "value": "<string>",
          "deprecated": true,
          "used": true
        }
      ],
      "remainingCount": 123
    },
    "createdAt": "2023-11-07T05:31:56Z",
    "createdBy": {
      "firstName": "<string>",
      "lastName": "<string>",
      "userName": "<string>",
      "email": "<string>",
      "role": "SYS_ADMIN",
      "id": "<string>",
      "uid": "<string>"
    },
    "lastModified": "2023-11-07T05:31:56Z",
    "lastModifiedBy": {
      "firstName": "<string>",
      "lastName": "<string>",
      "userName": "<string>",
      "email": "<string>",
      "role": "SYS_ADMIN",
      "id": "<string>",
      "uid": "<string>"
    },
    "requiredFrom": "2023-11-07T05:31:56Z",
    "required": true,
    "description": "<string>"
  },
  "selectedOptions": [
    {
      "uid": "<string>",
      "value": "<string>",
      "deprecated": true,
      "used": true
    }
  ],
  "value": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "createdBy": {
    "uid": "<string>"
  },
  "updatedAt": "2023-11-07T05:31:56Z",
  "updatedBy": {
    "uid": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectTemplateUid
string
required
fieldInstanceUid
string
required

Response

successful operation

uid
string
customField
object
selectedOptions
object[]
value
string
createdAt
string<date-time>
createdBy
object
updatedAt
string<date-time>
updatedBy
object